gle-graphics fails to build on armhf in precise: error: 'glDeleteLists' was not declared in this scope

Bug #940842 reported by Andreas Moog on 2012-02-25
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gle-graphics (Ubuntu)
High
Unassigned

Bug Description

g++ -c -pipe -O2 -D_REENTRANT -Wall -W -DQT_NO_DEBUG_OUTPUT -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4 -I. -I/usr/X11R6/include -Imoc -o objects/3dviewer.o 3dviewer.cpp
3dviewer.cpp: In destructor 'virtual QGLE3DWidget::~QGLE3DWidget()':
3dviewer.cpp:55:29: error: 'glDeleteLists' was not declared in this scope
3dviewer.cpp: In member function 'virtual void QGLE3DWidget::initializeGL()':
3dviewer.cpp:100:18: error: 'GL_FLAT' was not declared in this scope
3dviewer.cpp:100:25: error: 'glShadeModel' was not declared in this scope
3dviewer.cpp: In member function 'virtual void QGLE3DWidget::paintGL()':
3dviewer.cpp:112:18: error: 'GL_PROJECTION' was not declared in this scope
3dviewer.cpp:112:31: error: 'glMatrixMode' was not declared in this scope
3dviewer.cpp:113:20: error: 'glLoadIdentity' was not declared in this scope
3dviewer.cpp:115:41: error: 'gluPerspective' was not declared in this scope
3dviewer.cpp:116:18: error: 'GL_MODELVIEW' was not declared in this scope
3dviewer.cpp:123:53: error: 'gluLookAt' was not declared in this scope
3dviewer.cpp:126:62: error: 'glScaled' was not declared in this scope
3dviewer.cpp:127:78: error: 'glTranslated' was not declared in this scope
3dviewer.cpp:129:22: error: 'glCallList' was not declared in this scope
3dviewer.cpp: In member function 'GLuint QGLE3DWidget::makeObject()':
3dviewer.cpp:157:31: error: 'glGenLists' was not declared in this scope
3dviewer.cpp:158:21: error: 'GL_COMPILE' was not declared in this scope
3dviewer.cpp:158:31: error: 'glNewList' was not declared in this scope
3dviewer.cpp:174:13: error: 'GL_POLYGON' was not declared in this scope
3dviewer.cpp:174:23: error: 'glBegin' was not declared in this scope
3dviewer.cpp:176:36: error: 'glColor3f' was not declared in this scope
3dviewer.cpp:177:47: error: 'glVertex3f' was not declared in this scope
3dviewer.cpp:181:13: error: 'glEnd' was not declared in this scope
3dviewer.cpp:192:22: error: 'glColor3f' was not declared in this scope
3dviewer.cpp:193:22: error: 'glBegin' was not declared in this scope
3dviewer.cpp:194:37: error: 'glVertex3f' was not declared in this scope
3dviewer.cpp:198:8: error: 'glEnd' was not declared in this scope
3dviewer.cpp:221:15: error: 'glEndList' was not declared in this scope
make[4]: *** [objects/3dviewer.o] Error 1

Full log is at https://launchpadlibrarian.net/94190949/buildlog_ubuntu-precise-armhf.gle-graphics_4.2.3b-2ubuntu1_FAILEDTOBUILD.txt.gz

tags: added: arm-porting-queue opengles
Changed in gle-graphics (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers